import { ChangeDetectorRef, EventEmitter, QueryList } from "@angular/core";
import { UntypedFormGroup } from "@angular/forms";
import { DynamicFormComponent, DynamicFormComponentService, DynamicFormControlEvent, DynamicFormLayout, DynamicFormModel, DynamicTemplateDirective } from "@danielhokanson/ng-dynamic-forms-core";
import { DynamicBasicFormControlContainerComponent } from "./dynamic-basic-form-control-container.component";
import * as i0 from "@angular/core";
export declare class DynamicBasicFormComponent extends DynamicFormComponent {
    protected changeDetectorRef: ChangeDetectorRef;
    protected componentService: DynamicFormComponentService;
    group: UntypedFormGroup;
    model: DynamicFormModel;
    layout?: DynamicFormLayout;
    blur: EventEmitter<DynamicFormControlEvent>;
    change: EventEmitter<DynamicFormControlEvent>;
    focus: EventEmitter<DynamicFormControlEvent>;
    templates: QueryList<DynamicTemplateDirective>;
    components: QueryList<DynamicBasicFormControlContainerComponent>;
    constructor(changeDetectorRef: ChangeDetectorRef, componentService: DynamicFormComponentService);
    static ɵfac: i0.ɵɵFactoryDeclaration<DynamicBasicFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DynamicBasicFormComponent, "dynamic-basic-form", never, { "group": { "alias": "group"; "required": false; }; "model": { "alias": "model"; "required": false; }; "layout": { "alias": "layout"; "required": false; }; }, { "blur": "blur"; "change": "change"; "focus": "focus"; }, ["templates"], never, true, never>;
}
